/*
** Module   : CreateTrigger.java
** Abstract : Database create trigger interface.
**
** Copyright (c) 2010, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------Description----------------------
** 001 CA  20100527  @44886  Created initial version. Defines interface to be
**                           used by objects which represent database create
**                           triggers.
*/

package com.goldencode.p2j.persist.trigger_old;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.persist.*;

/**
 * Interface which must be implemented by classes which represent database
 * create triggers.
 */
public interface CreateTrigger
{
   /**
    * Executes the trigger.
    *
    * @param  dmo
    *         DMO which triggered the event (i.e. it was just created).
    *
    * @throws ConditionException
    *         May be raised by trigger logic.
    */
   public void execute(DataModelObject dmo)
   throws ConditionException;
}
