/*
** Module   : DeleteTrigger.java
** Abstract : Database delete trigger interface.
**
** Copyright (c) 2004-2009, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------Description----------------------
** 001 SVL 20091019   @44151 Created initial version. Defines interface to be
**                           used by objects which represent database delete
**                           triggers.
*/

package com.goldencode.p2j.persist.trigger_old;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.persist.*;

/**
 * Interface which must be implemented by classes which represent database
 * delete triggers.
 */
public interface DeleteTrigger
{
   /**
    * Executes the trigger.
    *
    * @param  dmo
    *         DMO which triggered the event (i.e. it is about to be deleted).
    *
    * @throws ConditionException
    *         May be raised by trigger logic.
    */
   public void execute (DataModelObject dmo)
   throws ConditionException;
}
