/*
** Module   : FindTrigger.java
** Abstract : Database find trigger interface.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -------------------------------- Description --------------------------------
** 001 OM  20131105 Created initial version.
*/

package com.goldencode.p2j.persist.trigger_old;

import com.goldencode.p2j.persist.DataModelObject;
import com.goldencode.p2j.util.ConditionException;

/**
 * Interface which must be implemented by classes which represent database find triggers.
 */
public interface FindTrigger
{
   /**
    * Executes the trigger.
    *
    * @param  dmo
    *         DMO which triggered the event (i.e. it was found by a query).
    *
    * @throws ConditionException
    *         May be raised by trigger logic.
    */
   public void execute(DataModelObject dmo)
   throws ConditionException;
}
