/*
** Module   : NoRecordAvailableTrigger.java
** Abstract : "No record is available" trigger interface.
**
** Copyright (c) 2010, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------Description----------------------
** 001 CA  20100527  @44884  Created initial version. Defines interface to be
**                           used by objects which represent "no record is
**                           available" triggers.
*/

package com.goldencode.p2j.persist.trigger_old;

import com.goldencode.p2j.persist.DataModelObject;
import com.goldencode.p2j.util.*;

/**
 * Interface which must be implemented by classes which represent "no record
 * is available" triggers.
 */
public interface NoRecordAvailableTrigger
{
   /**
    * Executes the trigger.
    *
    * @param  dmo
    *         The DMO proxy which trigger the event.
    *         
    * @throws ConditionException
    *         May be raised by trigger logic.
    */
   public void execute(DataModelObject dmo)
   throws ConditionException;
}
